v1 (deprecated)
Obtain Authentication Token
Generate authentication token from your Sezzle merchant API keys for use in the header of all other API requests.
POST
/
v1
/
authentication
Obtain Authentication Token
curl --request POST \
--url https://sandbox.gateway.sezzle.com/v1/authentication \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"private_key": "sz_pr_...",
"public_key": "sz_pub_..."
}
'import requests
url = "https://sandbox.gateway.sezzle.com/v1/authentication"
payload = {
"private_key": "sz_pr_...",
"public_key": "sz_pub_..."
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({private_key: 'sz_pr_...', public_key: 'sz_pub_...'})
};
fetch('https://sandbox.gateway.sezzle.com/v1/authentication', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"expiration_date": "2017-01-01T01:30:25.388Z",
"merchant_uuid": "merchant1234567890",
"token": "example-token"
}{
"status": 400,
"id": "bad_request",
"message": "bad request"
}{
"status": 401,
"id": "unauthorized",
"message": "authorization not accepted"
}{
"status": 404,
"id": "record_not_found",
"message": "not found"
}{
"status": 422,
"id": "invalid",
"message": "Unprocessable entity"
}You are viewing Version 1 of the Sezzle API. Check out the current version!
Authorizations
The authentication token generated from providing API Keys to Sezzle Gateway
Body
application/json
Find your API keys at https://dashboard.sezzle.com/merchant/settings/apikeys
Find your API keys at https://dashboard.sezzle.com/merchant/settings/apikeys
Response
Successful operation
- For use in the header of other requests:
- Authorization: Bearer {response.token}
You must replace the token you obtain from the Authentication endpoint every 120 minutes. However, we do not restrict you to a single token, and you can obtain a new one at any time.
The merchant UUID for the account
⌘I
Obtain Authentication Token
